VSTGUI: PadController Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PadController Class Reference

`#include <vst3padcontroller.h>`

Inheritance diagram for PadController:

## Public Member Functions
| PadController (IController *baseController, Steinberg::Vst::EditController *editController, Steinberg::Vst::Parameter *xParam, Steinberg::Vst::Parameter *yParam)
| ~PadController () override
CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description) override
void | valueChanged (CControl *pControl) override
void | controlBeginEdit (CControl *pControl) override
void | controlEndEdit (CControl *pControl) override
Public Member Functions inherited from DelegationController
| DelegationController (IController *controller)
void | valueChanged (CControl *pControl) override
int32_t | controlModifierClicked (CControl *pControl, CButtonState button) override
| return 1 if you want the control to not handle it, otherwise 0 More...
void | controlBeginEdit (CControl *pControl) override
void | controlEndEdit (CControl *pControl) override
void | controlTagWillChange (VSTGUI::CControl *pControl) override
void | controlTagDidChange (VSTGUI::CControl *pControl) override
int32_t | getTagForName (UTF8StringPtr name, int32_t registeredTag) const override
IControlListener * | getControlListener (UTF8StringPtr name) override
CView * | createView (const UIAttributes &attributes, const IUIDescription *description) override
CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description) override
IController * | createSubController (IdStringPtr name, const IUIDescription *description) override
virtual int32_t | getTagForName (UTF8StringPtr name, int32_t registeredTag) const
virtual IControlListener * | getControlListener (UTF8StringPtr controlTagName)
virtual CView * | createView (const UIAttributes &attributes, const IUIDescription *description)
virtual CView * | verifyView (CView *view, const UIAttributes &attributes, const IUIDescription *description)
virtual IController * | createSubController (UTF8StringPtr name, const IUIDescription *description)
Public Member Functions inherited from IControlListener
virtual | ~IControlListener () noexcept=default
virtual void | valueChanged (CControl *pControl)=0
virtual int32_t | controlModifierClicked (CControl *pControl, CButtonState button)
| return 1 if you want the control to not handle it, otherwise 0 More...
virtual void | controlBeginEdit (CControl *pControl)
virtual void | controlEndEdit (CControl *pControl)
virtual void | controlTagWillChange (CControl *pControl)
virtual void | controlTagDidChange (CControl *pControl)

## Protected Member Functions
void PLUGIN_API | update (Steinberg::FUnknown *changedUnknown, Steinberg::int32 message) override

## Protected Attributes
Steinberg::Vst::EditController * | editController
Steinberg::Vst::Parameter * | xParam
Steinberg::Vst::Parameter * | yParam
CXYPad * | padControl
SharedPointer< UIDescription > | uiDescription
Protected Attributes inherited from DelegationController
IController * | controller

## Constructor & Destructor Documentation

## ◆ PadController()

PadController | ( | IController * | baseController,
|  | Steinberg::Vst::EditController * | editController,
|  | Steinberg::Vst::Parameter * | xParam,
|  | Steinberg::Vst::Parameter * | yParam
| ) |  |

## ◆ ~PadController()

~PadController | ( |  | ) |
| override

## Member Function Documentation

## ◆ controlBeginEdit()

void controlBeginEdit | ( | CControl * | pControl | ) |
| overridevirtual

Reimplemented from DelegationController.

## ◆ controlEndEdit()

void controlEndEdit | ( | CControl * | pControl | ) |
| overridevirtual

Reimplemented from DelegationController.

## ◆ update()

void PLUGIN_API update | ( | Steinberg::FUnknown * | changedUnknown,
|  | Steinberg::int32 | message
| ) |  |
| overrideprotected

## ◆ valueChanged()

void valueChanged | ( | CControl * | pControl | ) |
| overridevirtual

Reimplemented from DelegationController.

## ◆ verifyView()

CView * verifyView | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | description
| ) |  |
| overridevirtual

Reimplemented from DelegationController.

## Member Data Documentation

## ◆ editController

Steinberg::Vst::EditController* editController
| protected

## ◆ padControl

CXYPad* padControl
| protected

## ◆ uiDescription

SharedPointer<UIDescription> uiDescription
| protected

## ◆ xParam

Steinberg::Vst::Parameter* xParam
| protected

## ◆ yParam

Steinberg::Vst::Parameter* yParam
| protected

The documentation for this class was generated from the following files:

- vst3padcontroller.h
- vst3padcontroller.cpp